@mixin flex($arg1, $arg2) {
  display: flex;
  justify-content: $arg1;
  align-items: $arg2;
}

@mixin fontStyles($color, $family, $weight, $size) {
  color: $color;
  font-family: $family;
  font-weight: $weight;
  font-size: $size;
}

@mixin for-phone-only {
  @media (max-width: 599px) {
    @content;
  }
}

@mixin for-tablet-only {
  @media (min-width: 600px) and (max-width: 1000px) {
    @content;
  }
}

// ######################################## //
// ## MIXINS.SCSS ## //
// ######################################## //

// ----------------------------------
// Placeholder Mixin
// ----------------------------------
@mixin input-placeholder {
  &.placeholder {
    @content;
  }
  &:-moz-placeholder {
    @content;
  }
  &::-moz-placeholder {
    @content;
  }
  &:-ms-input-placeholder {
    @content;
  }
  &::-webkit-input-placeholder {
    @content;
  }
}

// ----------------------------------
// Media Query Mixin
// ----------------------------------
$iphone5-width: 360px;
$iphone6-width: 375px;
$tablet-width: 700px;
$tablet-p-width: 991px;
$desktop-width: 1024px;
$desktop-width-lg: 1600px;
$desktop-width-xlg: 1800px;

// iPhone5 Mixin
@mixin iphone5 {
  @media (max-width: #{$iphone5-width}) {
    @content;
  }
}

// iPhone6 Mixin
@mixin iphone6 {
  @media (min-width: #{$iphone6-width}) and (max-width: #{$tablet-width - 1px}) {
    @content;
  }
}

// Mobile Mixin
@mixin mobile {
  @media (max-width: #{$tablet-width - 1px}) {
    @content;
  }
}

// Mobile Mixin (Landscape Orientation)
@mixin mobile-o-l {
  @media (max-width: #{$tablet-width - 1px}) and (orientation:landscape) {
    @content;
  }
}

// Mobile-Tablet(P) Mixin
@mixin mobile-tablet-p {
  @media (max-width: #{$desktop-width}) {
    @content;
  }
}

// Tablet (L/P) Mixin
@mixin tablet {
  @media (min-width: #{$tablet-width}) and (max-width: #{$desktop-width}) {
    @content;
  }
}

// Tablet (P) Mixin
@mixin tablet-p {
  @media (min-width: #{$tablet-width}) and (max-width: #{$desktop-width}) {
    @content;
  }
}

// Tablet (L) Mixin
@mixin tablet-l {
  @media (min-width: #{$tablet-p-width + 1px}) and (max-width: #{$desktop-width - 1px}) {
    @content;
  }
}

// Tablet & Desktop Mixin
@mixin tablet-desktop {
  @media (min-width: #{$tablet-p-width + 1px}) {
    @content;
  }
}

// Tablet (L/P) & Desktop Mixin
@mixin tablet-desktop-full {
  @media (min-width: #{$tablet-width - 1px}) {
    @content;
  }
}

// Desktop Mixin
@mixin desktop {
  @media (min-width: #{$desktop-width}) {
    @content;
  }
}

// Large Desktops
@mixin desktop-lg {
  @media (min-width: #{$desktop-width-lg}) {
    @content;
  }
}

// Large Desktops
@mixin desktop-xlg {
  @media (min-width: #{$desktop-width-xlg}) {
    @content;
  }
}

// Chrome Browsers Only
@mixin chrome {
  @media screen and (-webkit-min-device-pixel-ratio: 0) and (min-resolution: 0.001dpcm) {
    @content;
  }
}

// ----------------------------------
// Transition Mixin
// ----------------------------------
@mixin transition(
  $transition-property: all,
  $transition-time: 0.3s,
  $method: cubic-bezier(0.165, 0.84, 0.44, 1)
) {
  -webkit-transition: $transition-property $transition-time $method;
  -moz-transition: $transition-property $transition-time $method;
  -ms-transition: $transition-property $transition-time $method;
  -o-transition: $transition-property $transition-time $method;
  transition: $transition-property $transition-time $method;
}

// ----------------------------------
// Brandon Grotesque Font Family
// ----------------------------------
@mixin ff-primary() {
  font-family: 'Gilroy', sans-serif !important;
  line-height: 1.5;

  strong {
    font-weight: bold;
  }
}

// ----------------------------------
// Heading Color
// ----------------------------------
@mixin headings-all() {
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  .title1,
  .title2,
  .title3,
  .title4,
  .title5,
  .title6 {
    color: $theme-primary-text;
  }
}

// ----------------------------------
// Truncate Text (ellipsis) Mixin
// ----------------------------------
@mixin truncate($truncation-boundary) {
  max-width: $truncation-boundary;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

// ----------------------------------
// Font Smoothing Mixin (Cross Browser)
// ----------------------------------
@mixin font-smoothing($value: on) {
  @if $value == on {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  } @else {
    -webkit-font-smoothing: subpixel-antialiased;
    -moz-osx-font-smoothing: auto;
  }
}

// ----------------------------------
// Keyframes Mixin (Cross Browser)
// ----------------------------------
@mixin keyframes($animation-name) {
  @-webkit-keyframes #{$animation-name} {
    @content;
  }
  @-moz-keyframes #{$animation-name} {
    @content;
  }
  @-ms-keyframes #{$animation-name} {
    @content;
  }
  @-o-keyframes #{$animation-name} {
    @content;
  }
  @keyframes #{$animation-name} {
    @content;
  }
}

// ----------------------------------
// Animation (Cross Browser)
// ----------------------------------
@mixin animation($str) {
  -webkit-animation: #{$str};
  -moz-animation: #{$str};
  -ms-animation: #{$str};
  -o-animation: #{$str};
  animation: #{$str};
}

// Image cover
@mixin imageCover() {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top;
}

@mixin flex-center() {
  display: flex;
  align-items: center;
  justify-content: center;
}

@mixin clip-text() {
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  display: inline;
}

// ScrollBar Custmize
@mixin scrollbarCustom {
  &::-webkit-scrollbar {
    width: 2px;
  }

  &::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  }

  &::-webkit-scrollbar-thumb {
    background-color: #1a314b;
    outline: 1px solid #1a314b;
  }
}

@mixin scrollHide {
  -ms-overflow-style: none;
  scrollbar-width: none;

  &::-webkit-scrollbar {
    display: none;
  }
}

@mixin heading-font {
  font-size: 40px;

  @media (max-width: 400px) {
    font-size: 36px;
  }
  @media (max-width: 380px) {
    font-size: 34px;
  }
  @media (max-width: 350px) {
    font-size: 32px;
  }
  @media (max-width: 300px) {
    font-size: 28px;
  }

  @include tablet {
    font-size: 60px;
  }
  @include desktop {
    font-size: 65px;
  }
  @include desktop-lg {
    font-size: 75px;
  }
  @include desktop-xlg {
    font-size: 90px;
  }
}
@mixin subheading-font {
  font-size: 14px;
  opacity: 0.7;

  @include tablet {
    font-size: 16px;
  }

  @include desktop {
    font-size: 18px;
  }
  @include desktop-lg {
    font-size: 20px;
  }
}
@mixin notera-font {
  @include mobile {
    font-size: 40px;
  }
}

// primary shadow
$primaryshadow: 0 5px 32px rgba(0, 0, 0, 0.1);

// primary radius
$radius-primary: 8px;

// primary padding
$padding-horizontal: 0 16px;

$shadowPrimary: 0px 0px 1px rgba(12, 26, 75, 0.24),
  0px 3px 8px -1px rgba(50, 50, 71, 0.05);

$shadowSecondary: 0px 0px 1px rgba(12, 26, 75, 0.1),
  0px 4px 20px -2px rgba(50, 50, 71, 0.08);

$theme-gradient: linear-gradient(360deg, #ff77a0 -5.06%, #ffba88 100%);

$theme-light-gradient: linear-gradient(180deg, #fadecf 0%, #f7f0e2 100%);

// Surface-gradient
$bg-surface: linear-gradient(
    0deg,
    rgba(255, 255, 255, 0.2),
    rgba(255, 255, 255, 0.2)
  ),
  #001a37;

$bg-surface2: linear-gradient(
    0deg,
    rgba(255, 255, 255, 0.1),
    rgba(255, 255, 255, 0.1)
  ),
  #001a37;

$bg-surface3: linear-gradient(
    0deg,
    rgba(255, 255, 255, 0.15),
    rgba(255, 255, 255, 0.15)
  ),
  #001a37;

$bg-surface4: linear-gradient(
    0deg,
    rgba(255, 255, 255, 0.1),
    rgba(255, 255, 255, 0.1)
  ),
  #001a37;
